<?php
namespace InternetGalerie\Igshop2\Domain\Model;


/***
 *
 * This file is part of the "Ig Shop" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 
 *
 ***/
/**
 * CategoryView
 */
class CategoryView extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * name
     * 
     * @var string
     */
    protected $name = '';

    /**
     * partial
     * 
     * @var string
     */
    protected $partial = '';

    /**
     * Returns the name
     * 
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     * 
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * Returns the partial
     * 
     * @return string $partial
     */
    public function getPartial()
    {
        return $this->partial;
    }

    /**
     * Sets the partial
     * 
     * @param string $partial
     * @return void
     */
    public function setPartial($partial)
    {
        $this->partial = $partial;
    }
}
