<?php
defined('TYPO3') or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'Feshop',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'list, show, searchBox, searchResults, showTopProduct, ajaxGetProductPrice, ajaxSearch',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'list,searchBox, searchResults, showTopProduct, ajaxGetProductPrice, ajaxSearch',
        //show, list,

	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'FeshopSlider',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'slider',

	],
	// non-cacheable actions
	[
        //show, list,

	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'FeshopShow',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'show',

	],
	// non-cacheable actions
	[
		//'Product' => 'show',

	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'FeshopTopProduct',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'showTopProduct',

	],
	// non-cacheable actions
	[
		//'Product' => 'show',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'Fecart',
	[
        \InternetGalerie\Igshop2\Controller\OrderController::class => 'show, addOrderProduct, changeCurrency, editCalcAddress, saveCalcAddress, editAmount, ajaxAddProduct, smallShopAddCart, editAddress, saveAddress, submitPayment, editProduct, addProduct, deleteProduct, review, payPalEnter, payPalThanks, smallFeCart',
		\InternetGalerie\Igshop2\Controller\PostFinanceCheckoutController::class => 'transaction',

	],
	// non-cacheable actions
	[
		 \InternetGalerie\Igshop2\Controller\OrderController::class => 'show, addOrderProduct, changeCurrency, editCalcAddress, saveCalcAddress, editAmount, ajaxAddProduct, smallShopAddCart, editAddress, saveAddress, submitPayment, editProduct, addProduct, deleteProduct, review, payPalEnter, payPalThanks, smallFeCart',
		\InternetGalerie\Igshop2\Controller\PostFinanceCheckoutController::class => 'transaction',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'Igshop2',
    'Prodexport',
    [
        \InternetGalerie\Igshop2\Controller\ProductController::class => 'export',

    ],
    // non-cacheable actions
    [
        \InternetGalerie\Igshop2\Controller\ProductController::class => 'export',

    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'Fecartsmall',
	[
		\InternetGalerie\Igshop2\Controller\OrderController::class => 'smallFeCart, loadSmallCartData',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\OrderController::class => 'smallFeCart, loadSmallCartData',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'HtmlTitle',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'htmlTitle',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'htmlTitle',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'PostFinanceHandler',
	[
		\InternetGalerie\Igshop2\Controller\PostFinanceController::class => 'accept, decline, exception, cancel',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\PostFinanceController::class => 'accept, decline, exception, cancel',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'PostFinanceCheckoutHandler',
	[
		\InternetGalerie\Igshop2\Controller\PostFinanceCheckoutController::class => 'success, fail',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\PostFinanceCheckoutController::class => 'success, fail',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'Fesearchbox',
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'searchBox, searchResults',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\ProductController::class => 'searchBox, searchResults',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'UserOrderHistory',
	[
		\InternetGalerie\Igshop2\Controller\OrderController::class => 'userList, userShow',

	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\OrderController::class => 'userList, userShow',

	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'Igshop2',
    'AddressManagement',
    [
        \InternetGalerie\Igshop2\Controller\AddressController::class => 'list, new, create, edit, update, delete',

    ],
    // non-cacheable actions
    [
        \InternetGalerie\Igshop2\Controller\AddressController::class => 'list, new, create, edit, update, delete',

    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Igshop2',
	'Categorynav',
	[
		 \InternetGalerie\Igshop2\Controller\CategoryController::class => 'categoryNav',
	],
	// non-cacheable actions
	[
		\InternetGalerie\Igshop2\Controller\CategoryController::class => 'categoryNav',

	]
);

$GLOBALS['TYPO3_CONF_VARS']['SYS']['routing']['aspects']['ShopPersistedAliasMapper'] = \InternetGalerie\Igshop2\Routing\Aspect\PersistedAliasMapper::class;

/*$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['TYPO3\\CMS\\Recordlist\\RecordList\\DatabaseRecordList']['buildQueryParameters'][]
        = \InternetGalerie\Igshop2\Hooks\Backend\RecordListQueryHook8::class;*/



$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$icons = [
    'igshop2-folder' => ['source' => 'EXT:igshop2/Resources/Public/Icons/folder-module-shop.svg'],
];
$iconProviderClassName = \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class;
foreach ($icons as $identifier => $options) {
    $iconRegistry->registerIcon($identifier, $iconProviderClassName, $options);
}
